# Some ideas for 2.0

Breaking changes for 2.0:

## Organization

1. Move all stencil stuff to an organization so the "official" repos are grouped together
2. szywon and elisehein as admins
3. Think of a different name because there's already a "stencil" pkg on npm :-/

## One core, multiple front-ends

1. Rename project to simply "stencil"
2. grunt-stencil becomes merely a front-end
3. broccoli-stencil stays mostly as it is (aligned to the new API)
4. Make sure all front-ends have feature parity

## Core

"stencil" project is just the core logic:

1. a library
2. no file system IO
3. header-body splitting
4. includes
5. templates

## Pluggable compilers

1. Extract existing compilers to separate repos (stencil-doT, stencil-marked)
2. Provide an easy way to add and configure them via front-ends
3. Each compiler should be named `stencil-<other_project_name>`.

## More flexible file extensions

1. Processing order should be determined by order of file extensions, for example `asdf.md.dot.html` should be first processed by marked, then by doT.
2. Compiler should be able to either:
   - not care about the extension like (doT)
   - suggest the extension of the output file (markdown files should be outputted to html files)
3. If a file ends with an extension that doesn't trigger a compiler, it should have this extension, for example `asdf.md.xml` should have `xml` extension even though markdown compiler wanted `html`.